- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles/list#body.AccountUserProfilesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles/list#try-it)

Retrieves a list of account user profiles, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/accountUserProfiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only user profiles with these IDs. |
| `userRoleId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only user profiles with the specified user role ID. |
| `subaccountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only user profiles with the specified subaccount ID. |
| `active` | `boolean` Select only active user profiles. |
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `searchString` | `string` Allows searching for objects by name, ID or email. Wildcards (`*`) are allowed. For example, `"user profile*2015"` will return objects with names like `"user profile June 2015"`, `"user profile April 2015"`, or simply `"user profile 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"user profile"` will match objects with name `"my user profile"`, `"user profile 2015"`, or simply `"user profile"`. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Account User Profile accountUserProfiles.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "accountUserProfiles": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles#AccountUserProfile`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#accountUserProfilesListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `accountUserProfiles[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/accountUserProfiles#AccountUserProfile`)`` Account user profile collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`